List shops (stores / boutiques / points of sale)
curl --request GET \
--url https://app.solya.app/api/shops \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/shops"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/shops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/shops",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/shops"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/shops")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/shops")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "12 Boulevard des Capucines",
"city": "Paris",
"code": "PAR-OP",
"country": "France",
"countryId": "country-uuid-fr",
"createdAt": "2024-01-15T09:00:00.000Z",
"deactivatedAt": null,
"description": null,
"id": "shop-uuid-1",
"isActive": true,
"kind": "STORE",
"lat": 48.8719,
"lng": 2.331,
"name": "Paris Opéra",
"region": "Île-de-France",
"status": "OPEN",
"system": "POLARIS",
"updatedAt": "2026-05-01T14:30:00.000Z"
},
{
"address": "5 Place Bellecour",
"city": "Lyon",
"code": "LYO-BL",
"country": "France",
"countryId": "country-uuid-fr",
"createdAt": "2024-02-01T09:00:00.000Z",
"deactivatedAt": null,
"description": null,
"id": "shop-uuid-2",
"isActive": true,
"kind": "STORE",
"lat": 45.7578,
"lng": 4.832,
"name": "Lyon Bellecour",
"region": "Auvergne-Rhône-Alpes",
"status": "OPEN",
"system": "POLARIS",
"updatedAt": "2026-05-01T14:30:00.000Z"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 12
}
}Shops
List shops (stores / boutiques / points of sale)
Returns a paginated, searchable list of the organization’s shops — the stores, boutiques, retail locations, or points of sale where inventory is held and sold. Search by name to look up a store or to resolve a shop identifier before filtering sales, stock positions, inventory risks, forecasts, or plans by shop.
GET
/
api
/
shops
List shops (stores / boutiques / points of sale)
curl --request GET \
--url https://app.solya.app/api/shops \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.solya.app/api/shops"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.solya.app/api/shops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.solya.app/api/shops",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.solya.app/api/shops"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.solya.app/api/shops")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.solya.app/api/shops")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"address": "12 Boulevard des Capucines",
"city": "Paris",
"code": "PAR-OP",
"country": "France",
"countryId": "country-uuid-fr",
"createdAt": "2024-01-15T09:00:00.000Z",
"deactivatedAt": null,
"description": null,
"id": "shop-uuid-1",
"isActive": true,
"kind": "STORE",
"lat": 48.8719,
"lng": 2.331,
"name": "Paris Opéra",
"region": "Île-de-France",
"status": "OPEN",
"system": "POLARIS",
"updatedAt": "2026-05-01T14:30:00.000Z"
},
{
"address": "5 Place Bellecour",
"city": "Lyon",
"code": "LYO-BL",
"country": "France",
"countryId": "country-uuid-fr",
"createdAt": "2024-02-01T09:00:00.000Z",
"deactivatedAt": null,
"description": null,
"id": "shop-uuid-2",
"isActive": true,
"kind": "STORE",
"lat": 45.7578,
"lng": 4.832,
"name": "Lyon Bellecour",
"region": "Auvergne-Rhône-Alpes",
"status": "OPEN",
"system": "POLARIS",
"updatedAt": "2026-05-01T14:30:00.000Z"
}
],
"meta": {
"page": 1,
"pageSize": 20,
"total": 12
}
}Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.
Query Parameters
Page number, 1-indexed (default: 1)
Required range:
1 <= x <= 9007199254740991Number of items per page, max 100 (default: 20)
Required range:
1 <= x <= 100Case-insensitive substring search query
Filter by active status. true = active only, false = inactive only, omit = all shops.
Available options:
true, false Filter by shop kind (e.g. STORE, WAREHOUSE, OUTLET).

